import 'package:onyva_mobile/business/e-pedigree_business.dart';
import 'package:onyva_mobile/core/business/implementation/abstract_business_impl.dart';
import 'package:onyva_mobile/core/exceptions/remote_repository_exception.dart';
import 'package:onyva_mobile/models/e-pedigree.dart';
import 'package:onyva_mobile/repositories/e-pedigree_repository.dart';
import 'package:onyva_mobile/repositories/impl/e-pedigree_repository_impl.dart';

class EPedigreeBusinessImpl extends AbstractBusinessImpl
    implements EPedigreeBusiness {
  EPedigreeRepository repo = new EPedigreeRepositoryImpl();

  @override
  Future<List<EPedigreeModel>> ePedigree(String id) async {
    try {
      List<dynamic> response = await repo.ePedigree(id);
      List<EPedigreeModel> list = [];
      response.forEach((value) {
        list.add(EPedigreeModel.fromJson(value));
      });
      if (list == null) {
        return Future.error('Erro ao carregar e-Pedigree');
      } else {
        return list;
      }
    } on RemoteRepositoryException catch (e) {
      return Future.error(translateMessageFromRemoteRepositoryException(e));
    }
  }
}
