import 'package:flutter/cupertino.dart';
import 'package:onyva_mobile/business/ocr_business.dart';
import 'package:onyva_mobile/core/business/implementation/abstract_business_impl.dart';
import 'package:onyva_mobile/models/owner.dart';
import 'package:onyva_mobile/models/vehicle.dart';
import 'package:onyva_mobile/repositories/impl/orc_repository_imp.dart';
import 'package:onyva_mobile/repositories/ocr_repository.dart';

class OcrBody {
  String image;
  OcrBody({this.image});
}

class OcrBusinessImpl extends AbstractBusinessImpl implements OcrBusiness {
  final OcrRepository _remoteRepository = OcrRepositoryImpl();

  @override
  Future<Vehicle> sendImage(String imagePath) async {
    Vehicle response = await _remoteRepository.sendVehicleImage(imagePath);

    return response;
  }

  @override
  Future<Owner> saveVehicle(Vehicle car, BuildContext context) async {
    Owner response = await _remoteRepository.saveVehicle(car, context);

    //return null;
    return response;
  }
}
