import 'package:onyva_mobile/business/registration_business.dart';
import 'package:onyva_mobile/core/business/implementation/abstract_business_impl.dart';
import 'package:onyva_mobile/core/exceptions/remote_repository_exception.dart';
import 'package:onyva_mobile/repositories/impl/registration_repository_impl.dart';
import 'package:onyva_mobile/repositories/registration_repository.dart';
import 'package:onyva_mobile/models/signup.dart';

class RegistrationBusinessImpl extends AbstractBusinessImpl
    implements RegistrationBusiness {
  RegistrationRepository repo = new RegistrationRepositoryImpl();

  @override
  Future<void> registerUser(SignUp signUp) async {
    try {
      Map<String, dynamic> response = await repo.createAccount(signUp);

      if (response == null) {
        return Future.error(
            'Erro ao realizar o seu cadastro. Tente novamente mais tarde.');
      }
    } on RemoteRepositoryException catch (e) {
      return Future.error(translateMessageFromRemoteRepositoryException(e));
    }
  }
}
