import 'package:onyva_mobile/business/vehicle_km_update_business.dart';
import 'package:onyva_mobile/core/business/implementation/abstract_business_impl.dart';
import 'package:onyva_mobile/core/exceptions/remote_repository_exception.dart';
import 'package:onyva_mobile/models/owner.dart';
import 'package:onyva_mobile/models/vehicle.dart';
import 'package:onyva_mobile/repositories/impl/vehicle_repository_impl.dart';
import 'package:onyva_mobile/repositories/vehicle_repository.dart';

class VehicleKmUpdateBusinessImpl extends AbstractBusinessImpl
    implements VehicleKmUpdateBusiness {
  VehicleRepository repo = new VehicleRepositoryImpl();

  @override
  Future<Vehicle> updateKm(Owner owner, Vehicle vehicle, int newKm) async {
    try {
      Map<String, dynamic> response =
          await repo.updateMileage(owner, vehicle, newKm);

      if (response == null) {
        return Future.error(
            'Erro ao atualizar a quilometragem do veículo. Tente novamente mais tarde.');
      } else {
        return Vehicle.fromJson(response);
      }
    } on RemoteRepositoryException catch (e) {
      return Future.error(translateMessageFromRemoteRepositoryException(e));
    }
  }
}
