import 'package:onyva_mobile/models/maintenance_scheduling.dart';
import 'package:onyva_mobile/models/requested_maintenance.dart';
import 'package:onyva_mobile/models/scheduled_maintenance.dart';

abstract class ScheduledMaintenanceBusiness {
  Future<MaintenanceScheduling> schedule(
    String ownerId,
    String vehicleId,
    String repairShopId,
    DateTime scheduleDateTime,
    String maintenanceTitle,
    ManutentionType manutentionType, {
    String scheduledMaintenanceId,
  });

  Future<List<ScheduledMaintenance>>
      getScheduledMaintenancesServicesByBrandModel(
    String brand,
    String model,
  );

  Future<MaintenanceScheduling> getScheduledMaintenanceRequestPendingApproval(
    String ownerId,
  );
}
