import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';

genericErrorAlert({
  @required BuildContext context,
  @required String okActionText,
  @required Widget content,
}) {
  showDialog(
    context: context,
    barrierDismissible: true,
    builder: (context) {
      return WillPopScope(
        onWillPop: () async => true,
        child: AlertDialog(
          title: Row(
            children: <Widget>[
              Icon(
                Icons.error_outline,
                color: Colors.red,
              ),
              Padding(
                padding: EdgeInsets.only(
                  right: 10,
                ),
              ),
              Flexible(
                child: Text('Ops!'),
              )
            ],
          ),
          content: content,
          actions: <Widget>[
            FlatButton(
              child: Text(okActionText),
              onPressed: () {
                Navigator.pop(context);
              },
              textColor: ColorSets.lightGray,
            )
          ],
        ),
      );
    },
  );
}
