import 'package:onyva_mobile/core/models/repositories/remote/remote_repository_response.dart';

abstract class RemoteRepositoryAdapter {
  Future<RemoteRepositoryResponse<R>> get<R>(
    String url, {
    Map<String, dynamic> queryParameters,
    void Function(int current, int total) onReceiveProgress,
  });
  Future<RemoteRepositoryResponse<R>> post<R>(
    String url,
    dynamic data, {
    void Function(int current, int total) onSendProgress,
    Map<String, dynamic> queryParameters,
  });
  Future<RemoteRepositoryResponse<R>> patch<R>(
    String url, [
    dynamic data,
  ]);
  Future<RemoteRepositoryResponse<R>> delete<R>(
    String url,
  );
}
