import 'dart:async';

import 'package:shared_preferences/shared_preferences.dart';

abstract class Preferences {
  static const String LOGGED_USER_DATA = 'logged_user_data';

  static Future<bool> getBool(String key) async {
    var prefs = await SharedPreferences.getInstance();

    return prefs.getBool(key) ?? false;
  }

  static void setBool(String key, bool b) async {
    var prefs = await SharedPreferences.getInstance();

    prefs.setBool(key, b);
  }

  static Future<int> getInt(String key) async {
    var prefs = await SharedPreferences.getInstance();

    return prefs.getInt(key) ?? 0;
  }

  static void setInt(String key, int i) async {
    var prefs = await SharedPreferences.getInstance();

    prefs.setInt(key, i);
  }

  static Future<String> getString(String key) async {
    var prefs = await SharedPreferences.getInstance();

    return prefs.getString(key) ?? "";
  }

  static Future<bool> hasString(String key) async {
    var prefs = await SharedPreferences.getInstance();

    return prefs.containsKey(key);
  }

  static void setString(String key, String s) async {
    var prefs = await SharedPreferences.getInstance();

    prefs.setString(key, s);
  }

  static Future<bool> removeString(String key) async {
    var prefs = await SharedPreferences.getInstance();

    return prefs.remove(key);
  }
}
