import 'package:flutter/material.dart';

Future<bool> blockUi({
  @required BuildContext context,
  @required Stream<bool> stream,
}) async {
  final size = MediaQuery.of(context).size;
  return showDialog<bool>(
    context: context,
    builder: (context) {
      return WillPopScope(
        onWillPop: () async => false,
        child: Container(
          height: size.height,
          width: size.width,
          alignment: Alignment.center,
          child: StreamBuilder<bool>(
            stream: stream,
            initialData: true,
            builder: (context, snapshot) {
              if (snapshot.data == false) {
                WidgetsBinding.instance.addPostFrameCallback((_) {
                  Navigator.pop(context, true);
                });
              }

              if (snapshot.hasError) {
                WidgetsBinding.instance.addPostFrameCallback((_) {
                  Navigator.pop(context, false);
                });
              }

              return Wrap(
                children: <Widget>[
                  Container(
                    height: 25,
                    alignment: Alignment.center,
                    child: CircularProgressIndicator(
                      valueColor: AlwaysStoppedAnimation<Color>(
                        Colors.white,
                      ),
                    ),
                  ),
                ],
              );
            },
          ),
        ),
      );
    },
  );
}
