import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';

class CustomRadio<T> extends StatefulWidget {
  final String label;
  final Function(T value) onChanged;
  final Color color;
  final T value;

  T groupValue;

  CustomRadio(
    this.label,
    this.groupValue,
    this.onChanged,
    this.value, {
    this.color = ColorSets.lightGray,
  });

  @override
  _CustomRadioState<T> createState() => _CustomRadioState<T>();
}

class _CustomRadioState<T> extends State<CustomRadio<T>> {
  @override
  Widget build(BuildContext context) {
    return RadioListTile<T>(
      activeColor: widget.color,
      value: widget.value,
      onChanged: widget.onChanged,
      title: Text(
        widget.label,
        style: TextStyle(
          color: Colors.white,
        ),
      ),
      groupValue: widget.groupValue,
    );
  }
}
