import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';
import 'package:onyva_mobile/core/widgets/custom_radio.dart';

class CustomRadioGroup extends StatelessWidget {
  final List<CustomRadio> radioList;

  final String boxOutlineText;
  final double height;

  CustomRadioGroup(
    this.radioList,
    this.boxOutlineText,
    this.height,
  );

  @override
  Widget build(BuildContext context) {
    return Stack(children: <Widget>[
      Container(
        padding: EdgeInsets.all(20),
        decoration: BoxDecoration(
          border: Border.all(
            color: Colors.white,
            style: BorderStyle.solid,
            width: 2,
          ),
          borderRadius: BorderRadius.all(
            Radius.circular(
              3,
            ),
          ),
        ),
        alignment: Alignment.centerLeft,
        margin: EdgeInsets.all(20),
        child: ListView(
          primary: false,
          shrinkWrap: true,
          children: this.radioList,
        ),
      ),
      Container(
        margin: EdgeInsets.only(top: 15, left: 30),
        child: Text(
          ' $boxOutlineText  ',
          style: TextStyle(
            backgroundColor: ColorSets.gray,
            fontWeight: FontWeight.bold,
            color: Colors.white,
            fontSize: 18,
          ),
        ),
      ),
    ]);
  }
}
