import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';

class SpecialityCheckBox extends StatefulWidget {
  final String specialityName;
  final bool value;
  final onChanged;

  SpecialityCheckBox(
      {Key key, this.specialityName, this.value, this.onChanged});

  @override
  SpecialityCheckBoxState createState() => SpecialityCheckBoxState();
}

class SpecialityCheckBoxState extends State<SpecialityCheckBox> {
  void openTermsAndService() {
    Navigator.pushNamed(context, '/Terms');
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Checkbox(
            value: widget.value,
            onChanged: widget.onChanged,
            checkColor: ColorSets.blue,
            activeColor: ColorSets.darkGray,
            materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
          ),
          Expanded(
            child: AutoSizeText.rich(
              TextSpan(
                text: widget.specialityName,
              ),
              minFontSize: 16.0,
              maxLines: 2,
              style: TextStyle(
                color: ColorSets.lightGray,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
