import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';

class TermsAndServiceCheckBox extends StatefulWidget {
  final bool value;
  final onChanged;

  TermsAndServiceCheckBox({Key key, this.value, this.onChanged});

  @override
  TermsAndServiceCheckBoxState createState() => TermsAndServiceCheckBoxState();
}

class TermsAndServiceCheckBoxState extends State<TermsAndServiceCheckBox> {
  void openTermsAndService() {
    print('open terms & service');
    Navigator.pushNamed(context, '/Terms');
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Checkbox(
            value: widget.value,
            onChanged: widget.onChanged,
            checkColor: ColorSets.blue,
            activeColor: ColorSets.darkGray,
            materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
          ),
          Expanded(
            child: AutoSizeText.rich(
              TextSpan(
                text: 'Concordo com os ',
                children: [
                  TextSpan(
                    text: 'termos de serviço.',
                    recognizer: TapGestureRecognizer()
                      ..onTap = openTermsAndService,
                    style: TextStyle(
                      color: ColorSets.blue,
                      decoration: TextDecoration.underline,
                    ),
                  ),
                ],
              ),
              minFontSize: 16.0,
              maxLines: 2,
              style: TextStyle(
                color: ColorSets.lightGray,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
