import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/terms_and_service_check_box.dart';

class TermsAndServiceCheckBoxFormField extends FormField<bool> {
  TermsAndServiceCheckBoxFormField(
      {Key key,
      this.onChanged,
      this.initialValue,
      FormFieldSetter<bool> onSaved,
      FormFieldValidator<bool> validator,
      InputDecoration decoration = const InputDecoration()})
      : assert(decoration != null),
        super(
            key: key,
            initialValue: initialValue,
            onSaved: onSaved,
            validator: validator,
            builder: (FormFieldState<bool> field) {
              return InputDecorator(
                decoration: decoration.copyWith(errorText: field.errorText),
                child: TermsAndServiceCheckBox(
                    value: field.value, onChanged: field.didChange),
              );
            });

  final bool initialValue;
  final ValueChanged<bool> onChanged;

  @override
  FormFieldState<bool> createState() => TermsAndServiceCheckBoxFormFieldState();
}

class TermsAndServiceCheckBoxFormFieldState extends FormFieldState<bool> {
  @override
  TermsAndServiceCheckBoxFormField get widget => super.widget;

  @override
  void didChange(bool value) {
    super.didChange(value);
    if (this.hasError) {
      this.validate();
    }
    if (widget.onChanged != null) {
      widget.onChanged(value);
    }
  }
}
