import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';

class ThemeButton extends StatelessWidget {
  final String text;

  final Function action;

  final IconData icon;

  ThemeButton({this.text, this.action, this.icon});

  @override
  Widget build(BuildContext context) {
    return RaisedButton(
      child: Row(
        mainAxisSize: MainAxisSize.min,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          AutoSizeText.rich(
            TextSpan(
              text: text,
            ),
            style: TextStyle(color: ColorSets.blue, fontSize: 14),
          ),
          icon != null
              ? Container(
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.end,
                    children: <Widget>[
                      Icon(
                        icon,
                        color: Colors.white,
                        size: 25,
                      ),
                    ],
                  ),
                )
              : Container()
        ],
      ),
      onPressed: action,
      color: ColorSets.darkBlue,
      padding: EdgeInsets.only(left: 100, right: 100, top: 15, bottom: 15),
      shape: RoundedRectangleBorder(
        side: BorderSide(color: ColorSets.darkBlue),
        borderRadius: BorderRadius.circular(25),
      ),
    );
  }
}
