import 'package:onyva_mobile/business/scheduled_maintenance_business.dart';
import 'package:onyva_mobile/models/enums/maintenance.dart';
import 'package:onyva_mobile/models/owner.dart';
import 'package:onyva_mobile/models/repair_shop.dart';
import 'package:onyva_mobile/models/scheduled_maintenance.dart';
import 'package:onyva_mobile/models/vehicle.dart';

class EPedigreeModel {
  String id;
  MaintenanceTypesEnum maintenanceType;
  RepairShop repairShop;
  Owner owner;
  Vehicle vehicle;
  Object scheduledMaintenance;
  String maintenanceDescription;
  MaintenanceStatusEnum status;
  String date;

  EPedigreeModel(
      {this.id,
      this.maintenanceType,
      this.repairShop,
      this.owner,
      this.vehicle,
      this.scheduledMaintenance,
      this.maintenanceDescription,
      this.status,
      this.date});

  EPedigreeModel.fromJson(Map<String, dynamic> json) {
    MaintenanceTypesEnum typeValue = MaintenanceTypesEnum.EM;
    MaintenanceStatusEnum statusValue = MaintenanceStatusEnum.AC;

    switch (json['maintenanceType']) {
      case "SM":
        typeValue = MaintenanceTypesEnum.SM;
        break;
      case "UM":
        typeValue = MaintenanceTypesEnum.UM;
        break;
      case "EM":
        typeValue = MaintenanceTypesEnum.EM;
        break;
    }

    switch (json['status']) {
      case "SE":
        statusValue = MaintenanceStatusEnum.SE;
        break;
      case "CO":
        statusValue = MaintenanceStatusEnum.CO;
        break;
      case "DE":
        statusValue = MaintenanceStatusEnum.DE;
        break;
      case "EX":
        statusValue = MaintenanceStatusEnum.EX;
        break;
    }

    id = json['id'];
    maintenanceType = typeValue;
    repairShop = RepairShop.fromJson(json['repairShop']);
    owner = Owner.fromJson(json['owner']);
    vehicle = Vehicle.fromJson(json['vehicle']);
    scheduledMaintenance = json['scheduledMaintenance'] != null
        ? ScheduledMaintenance.fromJson(json['scheduledMaintenance'])
        : json['scheduledMaintenance'];
    maintenanceDescription = json['maintenanceDescription'];
    status = statusValue;
    date = json["date"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["maintenanceType"] = this.maintenanceType;
    data["repairShop"] = this.repairShop;
    data["owner"] = this.owner;
    data["vehicle"] = this.vehicle;
    data["scheduledMaintenance"] = this.scheduledMaintenance;
    data["maintenanceDescription"] = this.maintenanceDescription;
    data["status"] = this.status;
    data["date"] = this.date;
    return data;
  }
}
