enum MaintenanceSchedulingStatus {
  //SE - Sent
  //AC - Accepted
  //CO - Completed
  //DE - Declined
  //EX - Expired
  SE,
  AC,
  CO,
  DE,
  EX
}

String getMaintenanceSchedulingStatusText(MaintenanceSchedulingStatus status) {
  switch (status) {
    case MaintenanceSchedulingStatus.SE:
      return 'Aguardando confirmação';
    case MaintenanceSchedulingStatus.AC:
      return 'Agendamento Confirmado';
    case MaintenanceSchedulingStatus.CO:
      return 'Manutenção concluída';
    case MaintenanceSchedulingStatus.DE:
      return 'Agendamento rejeitado';
    default:
      return 'Agendamento não confirmado';
  }
}

MaintenanceSchedulingStatus decodeMaintenanceSchedulingStatusFrom(
  String status,
) {
  return MaintenanceSchedulingStatus.values.firstWhere(
    (mt) => mt.toString().split('.').last == status,
  );
}

String encodeMaintenanceSchedulingStatusFrom(
  MaintenanceSchedulingStatus status,
) {
  return status?.toString()?.split('.')?.last;
}
