import 'package:onyva_mobile/models/scheduled_maintenance.dart';

class FipeVehicle {
  String id;

  String fipeCode;

  String model;

  String brand;

  List<ScheduledMaintenance> scheduledMaintenances;

  FipeVehicle({
    this.id,
    this.fipeCode,
    this.model,
    this.brand,
  });

  FipeVehicle.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    fipeCode = json['fipeCode'];
    model = json['model'];
    brand = json['brand'];
    scheduledMaintenances = json['scheduledMaintenance'] != null
        ? (json['scheduledMaintenance'] as List)
            .map((maintenance) => ScheduledMaintenance.fromJson(maintenance))
            .toList()
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = id;
    data['fipeCode'] = fipeCode;
    data['model'] = model;
    data['brand'] = brand;

    return data;
  }
}
