import 'package:onyva_mobile/core/utils/functions.dart';
import 'package:onyva_mobile/models/requested_maintenance.dart';
import 'package:onyva_mobile/models/vehicle.dart';

class Owner {
  String id;
  String name;
  String email;
  List<Vehicle> vehicles;
  List<RequestedMaintenance> requestedMaintenances;

  Owner({
    this.id,
    this.name,
    this.email,
    this.vehicles,
    this.requestedMaintenances,
  });

  Owner.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    email = json['email'];
    try {
      if (json['vehicles'] != null)
        vehicles =
            (json['vehicles'] as List).map((e) => Vehicle.fromJson(e)).toList();
    } catch (e) {
      vehicles = [];
    }
    try {
      if (json['requestedMaintenances'] != null)
        requestedMaintenances = (json['requestedMaintenances'] as List)
            .map((e) => RequestedMaintenance.fromJson(e))
            .toList();
    } catch (e) {
      requestedMaintenances = [];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['email'] = this.email;
    data['vehicles'] = this.vehicles;
    data['requestedMaintenances'] = this.requestedMaintenances;
    return data;
  }

  Owner patch(Owner owner) {
    if (owner.id != null) /*                          */ id = owner.id;
    if (owner.name != null) /*                        */ name = owner.name;
    if (owner.email != null) /*                       */ email = owner.email;
    if (owner.vehicles != null) /*                    */ vehicles =
          mergeVehicleList(vehicles, owner.vehicles);
    if (owner.requestedMaintenances != null) /*       */ requestedMaintenances =
          mergeRequestedMaintenanceList(
              requestedMaintenances, owner.requestedMaintenances);
    return this;
  }
}
