import 'package:intl/intl.dart';

class RepairShopCalendarEvent {
  DateTime start;
  DateTime end;
  String summary;
  String description;
  String location;
  int colorId;

  RepairShopCalendarEvent({
    this.start,
    this.end,
    this.summary,
    this.description,
    this.location = 'teste location',
    this.colorId = 0,
  });

  RepairShopCalendarEvent.fromJson(Map<String, dynamic> json) {
    start = json['start'] != null
        ? DateTime.parse(json['start']['dateTime'])
        : null;
    end = json['end'] != null ? DateTime.parse(json['end']['dateTime']) : null;
    summary = json['summary'];
    description = json['description'];
    colorId = json['colorId'];
    location = json['location'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.start != null) {
      data['start'] = {
        'dateTime': DateFormat('yyyy-dd-MM').format(this.start),
        'timeZone': 'America/Sao_Paulo',
      };
    }
    if (this.end != null) {
      data['end'] = {
        'dateTime': DateFormat('yyyy-dd-MM').format(this.end),
        'timeZone': 'America/Sao_Paulo',
      };
    }

    data['summary'] = this.summary;
    data['description'] = this.description;
    data['location'] = this.location;
    data['colorId'] = this.colorId;

    return data;
  }
}
