enum ManutentionType { ALL, PREVENTIVE, SCHEDULED, URGENT }

class RequestedMaintenance {
  String id;
  List<String> items;
  String status;
  String ownerId;
  String repairShopId;
  String repairShopName;
  String repairShopAddress;
  DateTime requestDate;
  String vehicleId;
  ManutentionType type;

  RequestedMaintenance({
    this.id,
    this.items,
    this.status,
    this.ownerId,
    this.repairShopId,
    this.repairShopName,
    this.repairShopAddress,
    this.requestDate,
    this.vehicleId,
    this.type,
  });

  RequestedMaintenance.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    items = json['items'].cast<String>();
    status = json['status'];
    ownerId = json['ownerId'];
    repairShopId = json['repairShopId'];
    repairShopName = json['repairShopName'];
    repairShopAddress = json['repairShopAddress'];
    requestDate = DateTime.parse(json['requestDate']);
    vehicleId = json['vehicleId'];
    type = json['type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['items'] = this.items;
    data['status'] = this.status;
    data['ownerId'] = this.ownerId;
    data['repairShopId'] = this.repairShopId;
    data['repairShopName'] = this.repairShopName;
    data['repairShopAddress'] = this.repairShopAddress;
    data['requestDate'] = this.requestDate.toString();
    data['vehicleId'] = this.vehicleId;
    data['type'] = this.type;
    return data;
  }

  RequestedMaintenance patch(RequestedMaintenance rm) {
    if (rm.id != null) id = rm.id;
    if (rm.items != null) items = rm.items;
    if (rm.status != null) status = rm.status;
    if (rm.ownerId != null) ownerId = rm.ownerId;
    if (rm.repairShopId != null) repairShopId = rm.repairShopId;
    if (rm.repairShopName != null) repairShopName = rm.repairShopName;
    if (rm.repairShopAddress != null) repairShopAddress = rm.repairShopAddress;
    if (rm.requestDate != null) requestDate = rm.requestDate;
    if (rm.vehicleId != null) vehicleId = rm.vehicleId;
    if (rm.type != null) type = rm.type;
    return this;
  }
}
