class SignUp {
  String name;
  String cpf;
  String email;
  int phoneDDD;
  int phoneNumber;
  String password;
  String firebaseToken;
  bool agreedTermsOfService;

  SignUp(
      {this.name,
      this.cpf,
      this.email,
      this.phoneDDD,
      this.phoneNumber,
      this.password,
      this.agreedTermsOfService,
      this.firebaseToken});

  SignUp.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    cpf = json['cpf'];
    email = json['email'];
    phoneDDD = json['phoneDDD'];
    phoneNumber = json['phoneNumber'];
    password = json['password'];
    agreedTermsOfService = json['agreedTermsOfService'];
    firebaseToken = json['firebase_token'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    if (this.cpf != null && this.cpf.isNotEmpty) data['cpf'] = this.cpf;
    data['email'] = this.email;
    if (this.phoneDDD != null && this.phoneNumber != null) {
      data['phoneNumber'] = new Map<String, dynamic>();
      data['phoneNumber']['ddd'] = this.phoneDDD;
      data['phoneNumber']['number'] = this.phoneNumber;
    }
    data['password'] = this.password;
    data['agreedTermsOfService'] = this.agreedTermsOfService;
    data['firebase_token'] = this.firebaseToken;

    return data;
  }
}
