import 'package:onyva_mobile/models/fipe_vehicle.dart';

class Vehicle {
  String id;
  String licensePlate;
  String renavamCode;
  int manufactureYear;
  int modelYear;
  int mileage;
  FipeVehicle fipeVehicle;

  Vehicle({
    this.id,
    this.licensePlate,
    this.renavamCode,
    this.manufactureYear,
    this.modelYear,
    this.mileage,
    this.fipeVehicle,
  });

  Vehicle.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    licensePlate = json['licensePlate'];
    renavamCode = json['renavamCode'];
    manufactureYear = json['manufactureYear'];
    modelYear = json['modelYear'];
    mileage = json['mileage'];
    try {
      fipeVehicle = json['fipeVehicle'] != null
          ? FipeVehicle.fromJson(json['fipeVehicle'])
          : null;
    } catch (e) {
      fipeVehicle = null;
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['licensePlate'] = this.licensePlate;
    data['renavamCode'] = this.renavamCode;
    data['manufactureYear'] = this.manufactureYear;
    data['modelYear'] = this.modelYear;
    data['mileage'] = this.mileage;
    data['fipeVehicle'] = this.fipeVehicle.toJson();
    return data;
  }

  Vehicle patch(Vehicle vehicle) {
    if (vehicle.id != null) id = vehicle.id;
    if (vehicle.licensePlate != null) licensePlate = vehicle.licensePlate;
    if (vehicle.renavamCode != null) renavamCode = vehicle.renavamCode;
    if (vehicle.manufactureYear != null)
      manufactureYear = vehicle.manufactureYear;
    if (vehicle.modelYear != null) modelYear = vehicle.modelYear;
    if (vehicle.mileage != null) mileage = vehicle.mileage;
    return this;
  }
}
