import 'dart:convert';

import 'package:onyva_mobile/app_config.dart';
import 'package:onyva_mobile/core/repositories/remote/implementation/remote_repository_adapter_impl.dart';
import 'package:onyva_mobile/core/repositories/remote/remote_repository_adapter.dart';
import 'package:onyva_mobile/core/utils/string_utils.dart';
import 'package:onyva_mobile/repositories/registration_repository.dart';
import 'package:onyva_mobile/models/signup.dart';

class RegistrationRepositoryImpl implements RegistrationRepository {
  final RemoteRepositoryAdapter _remoteRepositoryAdapter =
      RemoteRepositoryAdapterImpl();

  Future<Map<String, dynamic>> createAccount(SignUp signUp) async {
    Map<String, dynamic> params = signUp.toJson();

    final response = await _remoteRepositoryAdapter.post<String>(
      '$API_URL/owners',
      params,
    );

    return StringUtils.isBlank(response.responseBody)
        ? null
        : json.decode(response.responseBody);
  }
}
