import 'dart:convert';

import 'package:onyva_mobile/app_config.dart';
import 'package:onyva_mobile/core/repositories/remote/implementation/remote_repository_adapter_impl.dart';
import 'package:onyva_mobile/core/repositories/remote/remote_repository_adapter.dart';
import 'package:onyva_mobile/core/utils/string_utils.dart';
import 'package:onyva_mobile/models/owner.dart';
import 'package:onyva_mobile/models/vehicle.dart';
import 'package:onyva_mobile/repositories/vehicle_repository.dart';

class VehicleRepositoryImpl implements VehicleRepository {
  RemoteRepositoryAdapter _remoteRepositoryAdapter =
      new RemoteRepositoryAdapterImpl();

  @override
  Future<Map<String, dynamic>> updateMileage(
    Owner owner,
    Vehicle vehicle,
    int mileage,
  ) async {
    final response = await _remoteRepositoryAdapter.patch<String>(
      '$API_URL/vehicles/${vehicle.id}',
      {
        "mileage": mileage,
      },
    );

    return StringUtils.isBlank(response.responseBody)
        ? null
        : json.decode(response.responseBody);
  }
}
