import 'package:firebase_messaging/firebase_messaging.dart';
import 'package:mobx/mobx.dart';
import 'package:onyva_mobile/models/owner.dart';
import 'package:onyva_mobile/models/vehicle.dart';
part 'app_store.g.dart';

class AppStore = AppStoreBase with _$AppStore;

abstract class AppStoreBase with Store {
  @observable
  Owner loggedOwner;

  @observable
  Vehicle currentVehicle;

  @observable
  FirebaseMessaging firebaseMessaging;

  @action
  void updateCurrentVehicle(Vehicle newVehicle) {
    this.currentVehicle = newVehicle;
  }

  @action
  void updateLoggedOwner(Owner newOwner) {
    this.loggedOwner = newOwner;
  }

  @action
  void updateFirebaseMessaging(FirebaseMessaging firebaseMessaging) {
    this.firebaseMessaging = firebaseMessaging;
  }
}
