import 'package:mobx/mobx.dart';

part 'login_store.g.dart';

class LoginStore = LoginStoreBase with _$LoginStore;

abstract class LoginStoreBase with Store {
  @observable
  bool isLoading = false;

  @observable
  bool showPassword = false;

  @action
  void updateLoadingState(bool loadingState) {
    this.isLoading = loadingState;
  }

  @action
  void toggleShowPassword() {
    this.showPassword = !this.showPassword;
  }
}
