import 'package:mobx/mobx.dart';
import 'package:onyva_mobile/models/repair_shop.dart';

part 'repair_shop_search_store.g.dart';

class RepairShopSearchStore = RepairShopSearchStoreBase
    with _$RepairShopSearchStore;

abstract class RepairShopSearchStoreBase with Store {
  @observable
  List<RepairShop> resultRepairShops = [];

  @observable
  bool isBusy = false;

  @observable
  RepairShop selectedRepairShop;

  @observable
  List<Map<String, dynamic>> services = [];

  @observable
  bool showFilters = false;

  @action
  void updateResultRepairShopsState(List<RepairShop> newResultRepairShops) {
    resultRepairShops = newResultRepairShops;
  }

  @action
  void updateBusyState(bool newState) {
    isBusy = newState;
  }

  @action
  void updateSelectedRepairShopState(RepairShop newRepairShop) {
    selectedRepairShop = newRepairShop;
  }

  @action
  void updateServices(List<Map<String, dynamic>> newServices) {
    services = newServices;
  }

  @action
  void updateShowFilters(bool newShowFilters) {
    showFilters = newShowFilters;
  }
}
