import 'package:mobx/mobx.dart';
import 'package:onyva_mobile/models/repair_shop.dart';
import 'package:onyva_mobile/models/requested_maintenance.dart';
import 'package:onyva_mobile/models/repair_shop_calendar.dart';

part 'scheduled_maintenance_store.g.dart';

class ScheduledMaintenanceStore = ScheduledMaintenanceStoreBase
    with _$ScheduledMaintenanceStore;

abstract class ScheduledMaintenanceStoreBase with Store {
  @observable
  bool isBusy = false;

  @observable
  RepairShop repairShop;

  @observable
  DateTime currentDateTime;

  @observable
  ManutentionType manutentionType;

  @observable
  List<String> servicesList = [];

  @observable
  List<RepairShopCalendarEvent> repairShopCalendar = [];

  @action
  void updateBusyState(bool newState) {
    this.isBusy = newState;
  }

  @action
  void updateRepairShopCalendar(
    List<RepairShopCalendarEvent> repairShopCalendar,
  ) {
    this.repairShopCalendar = repairShopCalendar;
  }

  @action
  void setRepairShop(RepairShop newRepairShop) {
    this.repairShop = newRepairShop;
  }

  @action
  void setCurrentDateTime(DateTime newDateTime) {
    this.currentDateTime = newDateTime;
  }

  @action
  void setManutentionType(ManutentionType newManutentionType) {
    this.manutentionType = newManutentionType;
  }

  @action
  void setServicesList(List<String> newServicesList) {
    this.servicesList = newServicesList;
  }
}
