import 'package:mobx/mobx.dart';

part 'signup_store.g.dart';

class SignUpStore = SignUpStoreBase with _$SignUpStore;

abstract class SignUpStoreBase with Store {
  @observable
  bool isBusy = false;

  @observable
  bool agreedTermsOfService = false;

  @observable
  bool showPassword = false;

  @action
  void updateBusyState(bool newState) {
    this.isBusy = newState;
  }

  @action
  void updateAgreedTermsOfServiceState(bool newState) {
    this.agreedTermsOfService = newState;
  }

  @action
  void toggleShowPassword() {
    this.showPassword = !this.showPassword;
  }
}
