import 'package:email_validator/email_validator.dart';
import 'package:onyva_mobile/core/utils/functions.dart';

abstract class SignUpPageValidator {
  static String validateEmail(String email) {
    if (email == null || email.trim().isEmpty) {
      return 'O e-mail deve ser informado.';
    }

    if (!EmailValidator.validate(email)) {
      return 'Deve ser informado um e-mail válido.';
    }

    return null;
  }

  static String validateTelefone(String telefone) {
    if (telefone.isNotEmpty) {
      var extracted = extractDDDAndNumber(telefone);
      if (extracted == null) {
        return "Telefone inválido.";
      }
    }

    return null;
  }

  static String validatePassword(String password) {
    if (password == null || password.trim().isEmpty) {
      return 'A senha deve ser informada.';
    }

    if (password.trim().length < 8) {
      return 'A senha deve ter no mínimo 8 caracteres.';
    }

    return null;
  }

  static String validateName(String name) {
    if (name == null || name.trim().isEmpty) {
      return 'O nome deve ser informado.';
    }

    return null;
  }

  static String validadeAgreeTerms(bool agreedTerms) {
    if (agreedTerms == false) {
      return 'Você deve concordar com os termos.';
    }

    return null;
  }
}
