import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:onyva_mobile/core/utils/functions.dart';
import 'package:onyva_mobile/core/widgets/app_bars.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';
import 'package:onyva_mobile/models/e-pedigree.dart';

class EPedigreeMaintenancePage extends StatefulWidget {
  @override
  EPedigreeMaintenancePageState createState() =>
      EPedigreeMaintenancePageState();
}

class EPedigreeMaintenancePageState extends State<EPedigreeMaintenancePage> {
  EPedigreeModel maintenanceInfo;

  @override
  Widget build(BuildContext context) {
    final appBar1 = AppBarCustom(context, "e-Pedigree");

    if (maintenanceInfo == null)
      maintenanceInfo =
          ModalRoute.of(context).settings.arguments as EPedigreeModel;

    return Scaffold(
      resizeToAvoidBottomPadding: true,
      appBar: appBar1,
      backgroundColor: ColorSets.darkGray,
      body: Container(
        padding: EdgeInsets.symmetric(
          horizontal: 10,
        ),
        child: ListView(
          shrinkWrap: true,
          children: [
            SizedBox(height: 20),
            Container(
                alignment: Alignment.center,
                padding: EdgeInsets.all(8.0),
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(8),
                  color: ColorSets.gray,
                ),
                child: Column(children: [
                  Text(
                      getNameOfManutentionType2(
                          maintenanceInfo.maintenanceType),
                      style: TextStyle(
                        color: ColorSets.lightGray,
                        fontSize: 20,
                      )),
                  Text(maintenanceInfo.repairShop.name,
                      style: TextStyle(
                        color: ColorSets.lightGray,
                        fontSize: 20,
                      )),
                  Text(
                      DateFormat('dd/MM/yyyy')
                          .format(DateTime.parse(maintenanceInfo.date))
                          .toString(),
                      style: TextStyle(
                        color: ColorSets.lightGray,
                        fontSize: 20,
                      )),
                ])),
            SizedBox(height: 20),
            Text("Manutenções Realizadas:",
                textAlign: TextAlign.center,
                style: TextStyle(
                  color: ColorSets.lightGray,
                  fontSize: 24,
                )),
            SizedBox(height: 10),
            Column(
              children: [
                Text(maintenanceInfo.maintenanceDescription,
                    textAlign: TextAlign.center,
                    style: TextStyle(
                      color: ColorSets.lightGray,
                      fontSize: 16,
                    ))
              ],
            )
          ],
        ),
      ),
    );
  }
}
