import 'package:flutter/material.dart';
import 'package:onyva_mobile/business/authentication_business.dart';
import 'package:onyva_mobile/business/implementation/authentication_business_impl.dart';
import 'package:onyva_mobile/core/widgets/app_bars.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';
import 'package:onyva_mobile/core/widgets/maintenance_item.dart';
import 'package:onyva_mobile/models/e-pedigree.dart';

class EPedigreePage extends StatefulWidget {
  @override
  EPedigreePageState createState() => EPedigreePageState();
}

class EPedigreePageState extends State<EPedigreePage> {
  final AuthenticationBusiness authenticationBusiness =
      AuthenticationBusinessImpl();

  List<EPedigreeModel> manutencoes;

  @override
  Widget build(BuildContext context) {
    final appBar1 = AppBarCustom(context, "e-Pedigree");

    if (manutencoes == null)
      manutencoes =
          ModalRoute.of(context).settings.arguments as List<EPedigreeModel>;

    List<Widget> list = new List<Widget>();
    for (var i = 0; i < manutencoes.length; i++) {
      list.add(MaintenanceItem(context, manutencoes[i]));
      list.add(SizedBox(height: 10));
    }

    return Scaffold(
      resizeToAvoidBottomPadding: true,
      appBar: appBar1,
      backgroundColor: ColorSets.darkGray,
      body: Container(
        padding: EdgeInsets.symmetric(
          horizontal: 10,
        ),
        color: ColorSets.darkGray,
        child: ListView(
          shrinkWrap: true,
          children: list,
        ),
      ),
    );
  }
}
