import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/color_sets.dart';
import 'package:onyva_mobile/models/fipe_vehicle.dart';
import 'package:onyva_mobile/models/vehicle.dart';
import 'package:onyva_mobile/view/scan_duty/confirm_car_info.dart';

class ConfirmDutyImage extends StatelessWidget {
  final String imagePath;

  const ConfirmDutyImage({Key key, this.imagePath}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(alignment: Alignment.bottomCenter, children: [
      Image.file(
        File(imagePath),
        semanticLabel: "Confira a imagem",
      ),
      new Positioned(
          left: 5.0,
          bottom: 0.0,
          width: MediaQuery.of(context).size.width / 2 - 10,
          child: RaisedButton(
            onPressed: () {
              Navigator.pop(context);
            },
            color: ColorSets.darkBlue,
            textColor: ColorSets.lightGray,
            child: Text("Tentar novamente"),
          )),
      new Positioned(
          right: 5.0,
          bottom: 0.0,
          width: MediaQuery.of(context).size.width / 2 - 10,
          child: RaisedButton(
            onPressed: () async {
              await Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => ConfirmCarInfo(
                          carInfo: Vehicle(
                              manufactureYear: 2010,
                              modelYear: 2011,
                              licensePlate: "asd-1234",
                              fipeVehicle: FipeVehicle(
                                brand: "CHEVROLET",
                                model: "CRUZE",
                              ),
                              renavamCode: "asdasd"))));
              Navigator.pop(context);
            },
            color: ColorSets.darkGray,
            textColor: ColorSets.lightGray,
            child: Text("Enviar"),
          ))
    ]);
  }
}
