import 'package:flutter/cupertino.dart';
import 'package:onyva_mobile/models/repair_shop.dart';

abstract class RepairShopSearchViewModel {
  List<RepairShop> get resultRepairShops;
  bool get isBusy;
  RepairShop get selectedRepairShop;
  List<Map<String, dynamic>> get services;
  bool get showFilters;

  void updateServices(
      BuildContext context, int index, Map<String, dynamic> newServices);
  void updateRepairShops(BuildContext context);
  void selectRepairShop(RepairShop repairShop);
  void loadAllPossibleFilters(BuildContext context);
  void processArgs(Map<String, dynamic> args);
  void cancel(BuildContext context);
  void confirm(BuildContext context);
}
