import 'package:flutter/material.dart';
import 'package:onyva_mobile/core/widgets/date_time_picker.dart';
import 'package:onyva_mobile/models/repair_shop.dart';
import 'package:onyva_mobile/models/requested_maintenance.dart';

abstract class ScheduledMaintenanceViewModel {
  bool get isBusy;
  RepairShop get repairShop;
  DateTime get currentDateTime;
  DateTime get firstDateTime;
  DateTime get lastDateTime;
  ManutentionType get manutentionType;
  bool get showOptionalDetailsField;
  List<String> get servicesList;
  TextEditingController get optionalServiceDetailCtrl;
  TextEditingController get maintenanceTitleCtrl;
  DateTimePicker get repairShopCalendar;

  void updateBusyState(bool newState);
  void setDateTime(DateTime dateTime);
  void setMaintenanceType(ManutentionType manutentionType);
  void processArgs(Map<String, dynamic> args, BuildContext context);
  void chooseRepairShop(BuildContext context);
  void schedule(BuildContext context);
  void loadManutentionOfCurrentVehicle(BuildContext context);
  void setTime(TimeOfDay timeOfDay);
  Future<void> loadRepairShopCalendar();
  bool enableOrDisableDayInRepairShopCalendar(DateTime day);
  DateTime getFirstAvailableDayInCalendar();
}
