import 'package:flutter_test/flutter_test.dart';
import 'package:onyva_mobile/validators/login_page_validator.dart';

void main() {
  validateEmailTest();
  validatePasswordTest();
}

void validateEmailTest() {
  test('email vazio retorna erro', () {
    String result = LoginPageValidator.validateEmail("");
    expect(result.isNotEmpty, true);
  });

  test('email invalido(espaço em branco) retorna erro', () {
    String result = LoginPageValidator.validateEmail(" ");
    expect(result.isNotEmpty, true);
  });

  test('email invalido(dominio invalido) retorna erro', () {
    String result = LoginPageValidator.validateEmail("test@test.");
    expect(result.isNotEmpty, true);
  });

  test('email invalido(dominio invalido) retorna erro', () {
    String result = LoginPageValidator.validateEmail("test@.com");
    expect(result.isNotEmpty, true);
  });

  test('email invalido(sem dominio) retorna erro', () {
    String result = LoginPageValidator.validateEmail("test");
    expect(result.isNotEmpty, true);
  });

  test('email valido retorna null', () {
    String result = LoginPageValidator.validateEmail("test@tst.tst");
    expect(result, null);
  });

  test('email valido retorna null', () {
    String result = LoginPageValidator.validateEmail("test@gmail.com");
    expect(result, null);
  });
}

void validatePasswordTest() {
  test('senha vazia retorna erro', () {
    String result = LoginPageValidator.validatePassword("");
    expect(result.isNotEmpty, true);
  });

  test('senha invalida(espaço em branco) retorna erro', () {
    String result = LoginPageValidator.validatePassword(" ");
    expect(result.isNotEmpty, true);
  });

  test('senha valida retorna null', () {
    String result = LoginPageValidator.validatePassword("5293&%");
    expect(result, null);
  });

  test('senha valida retorna null', () {
    String result = LoginPageValidator.validatePassword("re&%");
    expect(result, null);
  });

  test('senha valida retorna null', () {
    String result = LoginPageValidator.validatePassword("R3g905!!!");
    expect(result, null);
  });
}
